/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/

/*
 * Created on Sep 16, 2004
 *
 */
package gov.va.med.esr.messaging.builder.message;

import junit.framework.Test;
import junit.framework.TestSuite;

// Java classes

// Library classes

// Framework classes

// EDB Classes

/**
 * @author Carlos Ruiz
 * @version 1.0
 */
public class MessageBuilderTestSuite {

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for gov.va.med.esr.messaging.builder");
		//$JUnit-BEGIN$
		/*
		suite.addTestSuite(AbstractSegmentBuilderTest.class);
		suite.addTestSuite(ACKBuilderTest.class);
		suite.addTestSuite(MSHBuilderTest.class);
		suite.addTestSuite(MSABuilderTest.class);
		suite.addTestSuite(BHSBuilderTest.class);
		suite.addTestSuite(BTSBuilderTest.class);
		*/
		suite.addTestSuite(ORFZ10BuilderTest.class); 
		suite.addTestSuite(ORFZ11BuilderTest.class); 
		suite.addTestSuite(ORUZ04BuilderTest.class); 
		suite.addTestSuite(ORUZ05BuilderTest.class); 
		suite.addTestSuite(ORUZ10BuilderTest.class); 
		suite.addTestSuite(ORUZ11BuilderTest.class); 
		suite.addTestSuite(QRYZ07BuilderTest.class); 
		suite.addTestSuite(QRYZ11BuilderTest.class); 
		suite.addTestSuite(ORUZ04BuilderTest.class); 
		
		//$JUnit-END$
		return suite;
	}
}
